Pular para o conteúdo principal
POST
/
api
/
v1
/
phone-numbers
/
{phone_number_id}
/
request-release
curl -X POST "https://app.talkover.ai/api/v1/phone-numbers/phone-uuid-1/request-release" \
  -H "Authorization: Bearer talq_your_environment_token_here" \
  -H "Content-Type: application/json" \
  -d '{
    "reason": "We migrated outbound calling to a new toll-free number and no longer need this DID."
  }'
{
  "success": true,
  "data": {
    "id": "request-uuid-1",
    "phone_number_id": "phone-uuid-1",
    "phone_number": "+15551234567",
    "reason": "We migrated outbound calling to a new toll-free number and no longer need this DID.",
    "status": "pending",
    "requested_at": "2024-01-15T12:00:00Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.talkover.ai/llms.txt

Use this file to discover all available pages before exploring further.

Solicitar Liberação de Número de Telefone

Envia uma solicitação de liberação para um número de telefone que você não precisa mais. A solicitação entra com status pending e é analisada antes que o número seja efetivamente liberado.

Endpoint

POST /api/v1/phone-numbers/{phone_number_id}/request-release

Parâmetros de Caminho

phone_number_id
string
obrigatório
UUID do número de telefone a ser liberado.

Cabeçalhos da Requisição

Authorization
string
obrigatório
Token Bearer. Formato: Bearer talq_your_environment_token_here
Content-Type
string
obrigatório
Deve ser definido como application/json

Corpo da Requisição

reason
string
obrigatório
Motivo da liberação. Tamanho: 10–500 caracteres. Ajuda a equipe de suporte a analisar a solicitação mais rapidamente.

Exemplos

curl -X POST "https://app.talkover.ai/api/v1/phone-numbers/phone-uuid-1/request-release" \
  -H "Authorization: Bearer talq_your_environment_token_here" \
  -H "Content-Type: application/json" \
  -d '{
    "reason": "We migrated outbound calling to a new toll-free number and no longer need this DID."
  }'

Resposta

Resposta de Sucesso (201 Created)

{
  "success": true,
  "data": {
    "id": "request-uuid-1",
    "phone_number_id": "phone-uuid-1",
    "phone_number": "+15551234567",
    "reason": "We migrated outbound calling to a new toll-free number and no longer need this DID.",
    "status": "pending",
    "requested_at": "2024-01-15T12:00:00Z"
  }
}

Respostas de Erro

409 — Já Pendente

{
  "success": false,
  "message": "A release request for this phone number is already pending",
  "code": "RELEASE_ALREADY_PENDING"
}

422 — Número em Uso

{
  "success": false,
  "message": "Phone number is currently assigned to active agents and cannot be released",
  "code": "PHONE_NUMBER_IN_USE"
}

Observações